--- lib/Target/PowerPC/PPCTargetMachine.cpp.orig	2018-11-13 12:31:18.559594000 -0600
+++ lib/Target/PowerPC/PPCTargetMachine.cpp	2018-11-13 12:38:07.814512000 -0600
@@ -199,6 +199,9 @@ static PPCTargetMachine::PPCABI computeTargetABI(const
   case Triple::ppc64le:
     return PPCTargetMachine::PPC_ABI_ELFv2;
   case Triple::ppc64:
+    if (TT.getEnvironment() == Triple::Musl ||
+        (TT.isOSFreeBSD() && TT.getOSMajorVersion() >= 13U))
+      return PPCTargetMachine::PPC_ABI_ELFv2;
     return PPCTargetMachine::PPC_ABI_ELFv1;
   default:
     return PPCTargetMachine::PPC_ABI_UNKNOWN;
